PERSONAL DATA -NL- Title -NL- Mr -NL- Name -NL- **`Marcin Nowak`[NAME]** -NL- OVERVIEW -NL- **`Software Engineer`[EMPLOYER_ROLE]** with a **`Master’s degree`[EDUCATION_DEGREE]** in Computer Science and 10+ years of -NL- software development for mobile systems. Has good knowledge of Android operating -NL- system (8 years of experience) and basic skills in iOS development (2 years of -NL- experience). -NL- **`SKILLS &`[SKILLS_HEADING]** -NL- Programming languages: -NL- KNOWLEDGE -NL- Java, Kotlin, Swift, C++, C, C#, Pascal, HTML, PHP, SQL, assembler -NL- Mobile technologies: -NL- Android SDK, RxJava, iOS SDK (basic), Android NDK (basic), Symbian SDK, Windows -NL- Mobile SDK -NL- Code versioning tools: -NL- Git, Tortoise Git, Source tree, ClearCase, Tortoise SVN, Perforce, Synergy -NL- CI: -NL- Jenkins, Bitrise -NL- Bug management and development: -NL- Jira, Confluence, ClearQuest, Bugzilla -NL- IDE: -NL- Android Studio, XCode, Eclipse with ATD, Carbide C++, MS Visual C++ -NL- Software development: -NL- UML, TDD, Agile (Scrum) -NL- Operating systems: -NL- Windows, Mac OS, -NL- **`LANGUAGES`[OTHERS_HEADING]** -NL- Polish native -NL- English good -NL- German intermediate -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- **`Technical University Wroclaw`[EDUCATION_INSTITUTE]**, Poland, 2000 – 2005 -NL- **`Master’s degree`[EDUCATION_DEGREE]** **`Computer Scientist`[EDUCATION_COURSE]** -NL- Faculty of Electronic -NL- Specialization: Data Processing Systems Engineering -NL- Master thesis: Syntax analysis of Polish phrases using Linking Grammar -NL- MAY 2018 - -NL- DECEMBER 2019 -NL- JULY 2016 - MAY -NL- 2018 -NL- FEBRUARY 2014 - -NL- JUNE 2016 -NL- JUNE 2011 – -NL- FEBRUARY 2014 -NL- FEBRUARY 2010 – -NL- JANUARY 2011 -NL- MAY 2009 -NL- FEBRUARY 2008 – -NL- JANUARY 2010 -NL- MAY 2007 -NL- MARCH 2006 – -NL- FEBRUARY 2008 -NL- **`WORK EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- **`Senior Software Engineer`[EMPLOYER_ROLE]** at **`Endeavor Streaming`[EMPLOYER_COMPANY_NAME]** -NL- **`Senior Software Engineer`[EMPLOYER_ROLE]** at **`NeuLion`[EMPLOYER_COMPANY_NAME]** -NL- **`Head of Android Development`[EMPLOYER_ROLE]** at **`Saffron Digital `[EMPLOYER_COMPANY_NAME]**-NL- **`Senior Software Engineer`[EMPLOYER_ROLE]** at **`Saffron Digital `[EMPLOYER_COMPANY_NAME]**-NL- **`Senior Software Engineer`[EMPLOYER_ROLE]** at **`Nokia Ltd`[EMPLOYER_COMPANY_NAME]**. (contract) -NL- SEPTEMBER 2008 – **`Software Consultant`[EMPLOYER_ROLE]** at **`Samsung Electronics Research Institute`[EMPLOYER_COMPANY_NAME]** -NL- **`Software Engineer`[EMPLOYER_ROLE]** at **`Mobica Ltd`[EMPLOYER_COMPANY_NAME]**. U.K. -NL- SEPTEMBER 2006 – **`Software Consultant`[EMPLOYER_ROLE]** at **`PacketVideo Finland`[EMPLOYER_COMPANY_NAME]** -NL- **`Software Developer`[EMPLOYER_ROLE]** at SMTSoftware and then at SMT Software Sp. z.o.o. -NL- COMMERCIAL PROJECTS -NL- **`UFC Fight Pass`[PROJECT_TITLE]** -NL- Time of realization: November 2018 – March 2019, October 2019 - December 2019 -NL- Position: Developer -NL- Hardware: Android TV boxes, Android smartphones and tablets -NL- OS: Android 4.4 and higher Software: Android Studio -NL- Languages Java, JavaScript (React Native) -NL- New version of **`UFC Fight Pass`[PROJECT_TITLE]** app written in React Native. Subscription based app which allows you to watch -NL- LIVE and VOD UFC content on Android smartphones, tablets and TV boxes. Developed new player features on -NL- Android (native). Responsible for adding Android TV Boxes support to React Native platform. -NL- https://play.google.com/store/apps/details?id=com.neulion.smartphone.ufc.android&hl=en_GB -NL- **`Dice Mobile`[PROJECT_TITLE]** -NL- Time of realization: May 2019 – August 2019 -NL- Position: Developer -NL- Hardware: Android smartphones and tablets, iPhones and iPads, -NL- OS: Android 4.4 and higher, iOS 12 and 13, Software: XCode, Android Studio -NL- Languages Java, Swift, JavaScript -NL- White label React Native app allowing to stream video content on Android and iOS devices. My responsibilities -NL- included new player integration (DRM, downloads support), maintenance of existing native components -NL- (Chromecast) and support of existing build scripts which were used to select proper theme and configure all -NL- elements of the app for the resident. -NL- https://play.google.com/store/apps/details?id=pbr.now.ver2&hl=en_GB -NL- https://apps.apple.com/gb/app/ridepass/id472672006 -NL- https://play.google.com/store/apps/details?id=dce.fivb.volleyballtv&hl=en_GB -NL- https://play.google.com/store/apps/details?id=dce.seriea&hl=en_GB -NL- https://play.google.com/store/apps/details?id=com.ssportplus.dice&hl=en_GB -NL- https://play.google.com/store/apps/details?id=dce.imgott&hl=en_GB -NL- **`Dice Player`[PROJECT_TITLE]** -NL- Time of realization: May 2019 – August 2019 -NL- Position: Developer -NL- Hardware: Android smartphones and tablets, iPhones and iPads, -NL- OS: Android 4.4 and higher, iOS 12 and 13, Software: XCode, Android Studio -NL- Languages Java, Swift, JavaScript -NL- Custom video player library for Android and iOS written in React Native. Supporting DASH and HLS with -NL- custom DRM solution (**`Dice Shield`[PROJECT_TITLE]** library). -NL- **`Dice Shield`[PROJECT_TITLE]** -NL- Time of realization: July 2018 – October 2018 -NL- Position: Developer -NL- Hardware: Android smartphones and tablets, iPhones and iPads, -NL- OS: Android 4.4 and higher, iOS 12 and 12, Software: XCode, Android Studio -NL- Languages Java, Swift, JavaScript, Rxjava/RxSwift -NL- React Native library custom DRM solution for ExoPlayer and AVPlayer. -NL- **`BT TV Purchases`[PROJECT_TITLE]** (Leavers) -NL- Time of realization: June 2018 – July 2018 -NL- Position: Developer -NL- Hardware: iPhones and iPads, Android smartphones and tablets -NL- OS: iOS 10 and 11, Android 4.1 and higher -NL- Software: XCode, Android Studio -NL- Languages: RxJava, Java, RxSwift, Swift, Kotlin -NL- EST locker application which allows to do offline playback for users who are no longer BT customers. -NL- https://play.google.com/store/apps/details?id=com.bt.tvpurchases -NL- https://apps.apple.com/gb/app/bt-tv-purchases/id925394520 -NL- **`Nova Play`[PROJECT_TITLE]** -NL- Time of realization: November 2017 - March 2018 -NL- Position: Developer -NL- Hardware: iPhones and iPads, Android smartphones and tablets -NL- OS: iOS 10 and 11, Android 5.0 and higher -NL- Software: XCode, Android Studio -NL- Languages: RxJava, RxSwift, Kotlin, Swift -NL- With **`Nova Play`[PROJECT_TITLE]**, you can watch your favourite New TV shows completely free wherever you are. -NL- - Watch your favourite shows wherever you are -NL- - Watch through 3G or WiFi -NL- - The My **`Nova Play`[PROJECT_TITLE]** section lets you subscribe to your favourite show, view the history of the shows you watch, -NL- and play your paused episodes -NL- https://itunes.apple.com/bg/app/nova-play/id622633000?mt=8 -NL- https://play.google.com/store/apps/details?id=se.mtg.freetv.nova_bg -NL- **`Hubrick Watch`[PROJECT_TITLE]** -NL- Time of realization: October 2017 - November 2017 -NL- Position: Team lead, developer -NL- Hardware: Android smartphones and tablets, iPhones and iPads -NL- OS: Android 4.3 and higher, iOS 10 and 11 -NL- Software: Android Studio, XCode -NL- Languages: Java, Kotlin, Swift, RxJava, RxSwift -NL- Hubrick.com is a community platform where you can stay connected to the people, places, and things you -NL- love. With the **`Hubrick Watch`[PROJECT_TITLE]** media player app you can: -NL- - Enjoy a catalogue of current, cult and classic movies, plus top TV series -NL- - Download your purchases to your device so you can watch offline, wherever you are -NL- - Easily manage streaming & video quality settings -NL- https://play.google.com/store/apps/details?id=com.hubrick.android.watch&hl=en_GB -NL- https://itunes.apple.com/gb/app/hubrick-watch/id1369037918?mt=8 -NL- **`HMV on Demand`[PROJECT_TITLE]** -NL- Time of realization: August 2016 – December 2016, June 2017 - September 2017 -NL- Position: Team lead, developer -NL- Hardware: Android smartphones and tablets, iPhones and iPads -NL- OS: Android 4.3 and higher, iOS 9 and 10 -NL- Software: Android Studio, XCode -NL- Languages: Java, Swift, RxJava, RxSwift -NL- EST and TVOD application based on Saffron’s **`Locker App`[PROJECT_TITLE]** concept. This app is due to be released and will -NL- combine Saffron’s and **`NeuLion`[EMPLOYER_COMPANY_NAME]**’s technologies. -NL- **`Nolim Films 2.0`[PROJECT_TITLE]** -NL- Time of realization: December 2016 – May 2017 -NL- Position: Team lead, developer -NL- Hardware: Android smartphones and tablets, iPhones and iPads -NL- OS: Android 4.1 and higher, iOS 9 and 10 -NL- Software: Android Studio, XCode -NL- Languages: Java, Swift + Objective-C, RxJava, RxSwift -NL- Redesigned **`Nolim Films`[PROJECT_TITLE]** application with simplified faster UI and improved web page integration. Saffron -NL- Digital’s **`Download Manager`[PROJECT_TITLE]** SDK allows faster SSF/DASH content download compared with previous app -NL- versions. -NL- https://play.google.com/store/apps/details?id=com.carrefour.nolimfilms&hl=fr_FR -NL- https://itunes.apple.com/fr/app/nolim-films/id938745740?mt=8 -NL- https://films.nolim.fr/ -NL- **`Tribeca ShortList - Movies`[PROJECT_TITLE]** -NL- Time of realization: March 2016 – July 2016 -NL- Position: Developer -NL- Hardware: Android smartphones and tablets -NL- OS: Android 4.1 and higher -NL- Software: Android Studio -NL- Languages: Java -NL- Premium movie streaming service from Tribeca Enterprises and Lionsgate. Tribeca Shortlist offers a diverse -NL- selection of films and features personally curated by actors, directors and more. Responsible for -NL- enhancements and bugfixing of **`Saffron Digital`[EMPLOYER_COMPANY_NAME]**’s **`Download Manager`[PROJECT_TITLE]** SDK & Player SDK. 3rd party support in -NL- regards to API understanding and potential storefront issues. -NL- https://play.google.com/store/apps/details?id=com.tribeca.shortlist&hl=en_GB -NL- **`Locker App`[PROJECT_TITLE]** -NL- Time of realization: July 2015 – September 2015 (Android), December 2015 – March 2016 (iOS) -NL- Position: Developer -NL- Hardware: Android smartphones and tablets, iPhones and iPads -NL- OS: Android 4.1 and higher, iOS 9 -NL- Software: Android Studio, XCode -NL- Languages: Java, Swift, RxJava, RxSwift -NL- Saffron demo app which main purpose was to combine Saffron’s main components like **`Download Manager`[PROJECT_TITLE]** -NL- SDK, Player SDK, Cast SDK and build business logic in a way that the app could be easily customized and -NL- modified. -NL- RxJava and RxSwift were selected to create all theflows. Usage of dependency injection (Roboguice) allows to -NL- swap components and customize the user interface easily. -NL- **`ITV Essentials`[PROJECT_TITLE]** -NL- Time of realization: June 2015 – July 2015 -NL- Position: Developer of native components -NL- Hardware: Android smartphones and tablets -NL- OS: Android 4.x and higher -NL- Software: Android Studio, Cordova -NL- Languages: Java -NL- Video app for watching ITV content on your Android phone. This hybrid application uses Codrova which -NL- combines the power of web technologies with native components. Web technologies are used to give fast and -NL- simple catalogue browsing experience and native components are responsible for download and playback of -NL- Play Ready video content. -NL- https://play.google.com/store/apps/details?id=com.itv.itvessentials -NL- **`Download Manager`[PROJECT_TITLE]** -NL- Time of realization: March 2015 – June 2015 -NL- Position: Developer -NL- Hardware: Android smartphones and tablets -NL- OS: Android 4.x and higher -NL- Software: Android Studio -NL- Languages: Java -NL- Download manager library supporting singlefile (mp3, mp4) and multifile (SSF) content. -NL- **`Drive and Enjoy`[PROJECT_TITLE]** -NL- Time of realization: July 2014 – January 2015 -NL- Position: Developer, Android team lead -NL- Hardware: Android smartphones and tablets -NL- OS: Android 4.x and 5.0 -NL- Software: Android Studio -NL- Languages: Java -NL- Video application allowing children to watch their favourite titles in a car. Child or parent can generate play list -NL- for a planned journey. Once this is done audio or videofiles will downloaded to device and will be available to -NL- watch while traveling. -NL- https://play.google.com/store/apps/details?id=com.sdgtl.dae&hl=de_DE -NL- **`Nolim Films`[PROJECT_TITLE]** -NL- Time of realization: July 2014 – January 2015 -NL- Position: Team lead, developer -NL- Hardware: Android smartphones and tablets -NL- OS: Android 4.x and 5.0 -NL- Software: Eclipse, ADT, Android Studio -NL- Languages: Java -NL- Saffron’s MainStage solution based application allowing for UltraViolet™ account integration. Application is supporting EST -NL- and TVOD distribution types and has ability to redeem vouchers. Payment is done with use of ATOS Payment system which -NL- has been integrated with MainStage backend. Supporting Smooth Streaming content with subtitles and different language -NL- tracks. -NL- https://play.google.com/store/apps/details?id=com.carrefour.nolimfilms&hl=fr_FR -NL- **`BT TV Purchases`[PROJECT_TITLE]** -NL- Time of realization: July 2014 – November 2014 -NL- Position: Team lead, developer -NL- Hardware: Android smartphones and tablets -NL- OS: Android 4.x and 5.0 -NL- Software: Eclipse, ADT, Android Studio -NL- Languages: Java -NL- Saffron MainStage based application offering “My Library” view solution which is giving access to user’s BT -NL- account without ability to purchase. Application supports streaming and content download. -NL- https://play.google.com/store/apps/details?id=com.bt.tvpurchases -NL- **`Paula Deen Network`[PROJECT_TITLE]** -NL- Time of realization: June 2014 – September 2014 -NL- Position: Scrum master, Android team lead -NL- Hardware: Android 4.x smartphones and tablets -NL- OS: Android 4.x and 5.0 -NL- Software: Eclipse, ADT -NL- Languages: Java -NL- Subscription application offering access to Paula Deen recipes online. Saffron MainStage application offering -NL- totally custom views andflows. -NL- https://play.google.com/store/apps/details?id=com.sdgtl.android.pdn -NL- **`Anime Pass`[PROJECT_TITLE]** -NL- Time of realization: April 2014 – June 2014 -NL- Position: Team lead, developer -NL- Hardware: Android 4.x smartphones and tablets -NL- OS: Android 4.x and then 5.0 -NL- Software: Eclipse, ADT -NL- Languages: Java -NL- Service providing anime content done for KDDI Corporation which is second largest mobile network operator in -NL- Japan. Application offered subscription and FVOD content distributions and was one of thefirst services using -NL- Saffron’s MainStage backend. -NL- **`Video Pass`[PROJECT_TITLE]** 2 -NL- Time of realization: November 2013 – April 2014 -NL- Position: Developer -NL- Hardware: Android 4.x smartphones and tablets -NL- OS: Android 4.x and then 5.0 -NL- Software: Eclipse, ADT -NL- Languages: Java -NL- Second version of **`Video Pass`[PROJECT_TITLE]** built on top of MainStage solutions and using Saffron Player 2.0 supporting -NL- Smooth Streaming and PlayReady. Just like previous version application was subscription and PPV service but -NL- done according to totally new design with different navigation and user experience. Reaching up to 60000 -NL- users daily. -NL- **`MainStage Android Client`[PROJECT_TITLE]** -NL- Time of realization: December 2012 – May 2013 -NL- Position: Developer -NL- Hardware: Android 4.x devices -NL- OS: Android 4.x -NL- Software: Eclipse, ADT -NL- Languages: Java -NL- Android MainStage platform client implementation introducing ability to change the content from CMS with -NL- plenty of new features. Most of APIs and Android views done from scratch. Loading time has been greatly -NL- decreased due to usage of HTTP cache. MainStage platform allowed clients to configure their own pages which -NL- were reflected on the client. Playback done with Saffron Player 2.0 supporting Smooth Streaming. Android -NL- client is supporting most of video distribution types i.e. SVOD, TVOD, EST, PPV and allows to use coupons. -NL- **`Video Pass`[PROJECT_TITLE]** -NL- Time of realization: September 2011 – May 2012, May 2012 – November 2012 -NL- Position: Developer, team lead -NL- Hardware: Android 2.x and 4.0 phones, Android 4.0 tablets, Android Set-top box (Android 4.0) -NL- OS: Android 2.x and 4.0 -NL- Software: Eclipse, ADT -NL- Languages: Java -NL- Video service done for major Japanese network operator (KDDI Corporation) providing subscription (SVOD) and -NL- rental (PPV) distributions. Video playback done with Saffron Player 1.x supporting Microsoft’s Smooth -NL- Streaming with PlayReady DRM. After a year app reached more than 1 million subscribers. -NL- http://www.kddi.com/english/corporate/news_release/2012/0515d/ -NL- http://auone.videopass.jp/pr/howto_sp.html -NL- http://auone.videopass.jp/pr/howto_tab.html -NL- http://auone.videopass.jp/pr/howto_tv.html -NL- **`Blockbuster Video App`[PROJECT_TITLE]** -NL- Time of realization: June 2011 – August 2011 -NL- Position: Developer -NL- Hardware: Android 2.x phones -NL- OS: Android 2.x -NL- Software: Eclipse, ADT -NL- Languages: Java -NL- Video service for Android 2.x devices done with use of Widevine DRM, supporting TVOD and EST media -NL- distributions. 3D scenes visualization done with use of Collada. -NL- **`Papercuts`[PROJECT_TITLE]** -NL- Time of realization: February 2010 – January 2011 -NL- Position: Developer -NL- Hardware: Nokia N8, Nokia C7, Nokia C6-01 -NL- OS: Symbian^3 -NL- Software: Symbian SDK, Carbide C++ -NL- Languages: C+, Qt -NL- UX improvements for Nokia N8, C7, C6-01 phones and their successors. This project contained variousfixes -NL- and improvements in Symbian platform i.e. in home screen, phone management menus, contacts, messaging, -NL- calendar, call logs and Ovi application. Changes were kinetic scrolling, long and double tapping, swipe -NL- handling and transition effects usage in different use cases, etc. The goal was to make UI more user-friendly -NL- but also much nicer than in previous Symbian releases. -NL- **`Partial input`[PROJECT_TITLE]** -NL- Time of realization: February 2010 – August 2010 -NL- Position: Developer, designer -NL- Hardware: Nokia N8 -NL- OS: Symbian^3 -NL- Software: Symbian SDK, Carbide C++ -NL- Languages: C++ -NL- Responsible for redesign and bugfixing of Partial Input modules for portrait and landscape display modes. The -NL- reason of this project was to improve user experience of common Symbian applications such as messaging, -NL- contacts and browser. The goal of this change was to replace old Symbian style input dialogs and give -NL- Symbian^3 phones a better look and feel. -NL- **`Email Wizard`[PROJECT_TITLE]** -NL- Time of realization: May 2010 – July 2010 -NL- Position: Developer -NL- Hardware: Nokia N8 -NL- OS: Symbian OS -NL- Software: Symbian SDK, Carbide C++ -NL- Languages: C++, Qt -NL- Application for setting up email accounts. With this creator it was possible to configure different email -NL- mailboxes. Responsible for UI and engine integration. -NL- **`People Client`[PROJECT_TITLE]** -NL- Time of realization: May 2009 – January 2010 -NL- Position: Developer, designer -NL- Hardware: HTC Hero -NL- OS: Android 1.6 -NL- Software: Eclipse, Android SDK -NL- Languages: Java -NL- Social networking application able to gather and manage different 3rd party accounts with one simple solution. -NL- Main parts were service which was responsible for communication with http server and UI used for data -NL- presentation. Server communication was done according to Representational State Transfer (REST) -NL- architecture and used Hessian encoding. -NL- **`Photo Contacts`[PROJECT_TITLE]** -NL- Time of realization: September 2009 – April 2009 -NL- Position: Developer, designer -NL- Hardware: Samsung i8910 Omnia HD, Symbian S60 5tth Edition Phones -NL- OS: Symbian OS -NL- Software: Symbian SDK, Carbide C++ v2.0 -NL- Languages: C++, OpenGL -NL- Design and development of Contacts app for S60 5th edition device with touch screen. Contacts were -NL- represented as a stack of photos written in OpenGL. On each photo it was possible to mark face areas and -NL- associate them with S60 phone book contacts. Associations could be done manually or with use of automated -NL- face recognition engine. Stack could be scrolled withfinger-flicking and it was possible to make video/voice -NL- calls or send messages to people from photos with it. Client app used face tagging server to read and save -NL- face areas (tags). -NL- **`Sucia`[PROJECT_TITLE]** -NL- Time of realization: March 2008 – Aug. 2008 -NL- Position: Developer -NL- Hardware: Symbian S60 3rd Edition Phones -NL- OS: Symbian OS -NL- Software: Symbian SDK, Carbide C++ v1.3 -NL- Languages: C++ -NL- Features and UI development of a mobile client for S60 3rd edition devices, which allowed uploading of -NL- information from the mobile phone such as text messages, contacts, pictures, videos, call history records, -NL- wallpapers, ringtones to web service. Users were able to view and interact with data stored in service via an -NL- HTTP interface and make changes which were propagated back to the client and were made available on the -NL- mobile phone. Using the HTTP interface, users could have a service send content to the mobile phone such as -NL- text messages, home layouts, applications, ringtones. Users could type an SMS message on the PC and had it -NL- sent via their mobile. Users used HTTP interface for device management functions such as sending -NL- bookmarks, ringtones and speed dial settings to phone. Settings and content were stored on the server were -NL- downloaded to another phone when moving to another handset. -NL- **`FOMA`[PROJECT_TITLE]** -NL- Time of realization: Nov. 2007 – Feb. 2008 -NL- Position: Developer -NL- Hardware: Symbian S60 3rd Edition Phones -NL- OS: Symbian OS -NL- Software: Symbian SDK, Visual Studio 2003 + Carbide -NL- Languages: C++ -NL- Development of “FrontWeb” S60 3rd edition Web Browser to support Flash. Project included Flash player -NL- engine integration and development. -NL- **`iMode Suite`[PROJECT_TITLE]** -NL- Time of realization: July 2007 – Oct. 2007 -NL- Position: Developer -NL- Hardware: Symbian S60 3rd Edition Phones -NL- OS: Symbian OS -NL- Software: Symbian SDK, Visual Studio 2003 + Carbide -NL- Languages: C++ -NL- A suite of programs developed for Symbian phones. Project included couple of applications like: web browser, -NL- mailer for emails, smses and mmses, rss reader and viewer, virtual machine modeled on Java. -NL- **`Automatic dialer`[PROJECT_TITLE]** -NL- Time of realization: May 2007 – July 2007 -NL- Position: Developer, Designer -NL- Hardware: Symbian S60 2nd and 3rd Edition Phones -NL- OS: Symbian OS -NL- Software: Symbian SDK, Visual Studio 2003 + Carbide -NL- Languages: C++ -NL- Dedicated application designed to redirect outgoing phone calls to defined number. The purpose of this -NL- project was to create an automatic dialer which was supposed to decrease the phone expenses by using a -NL- special cheaper access number. When the outgoing phone call was detected the user could decide whether to -NL- redirect or not. If user decided to redirect, the application was connecting with access number and after -NL- successful connection the target number was sent as DTMF tones. After that the target connection was started -NL- and user could proceed with a phone call. -NL- **`Mobile TV`[PROJECT_TITLE]** -NL- Time of realization: Sept. 2006 – May 2007 -NL- Position: Developer -NL- Hardware: Windows Mobile phones – HTC Hermes and HTC MDA Pro -NL- OS: Windows Mobile 5.0, Symbian -NL- Software: Windows Mobile 5.0 SDK, Visual Studio 2005 -NL- Languages: C++ -NL- Application designed and developed for major European operator using live streaming. After successful -NL- subscription user was gaining access to the list of programs and could watch the TV on the mobile phone. -NL- Project was ported from Symbian to Windows Mobile 5.0. -NL- **`Fancy UI`[PROJECT_TITLE]** -NL- Time of realization: Aug. 2006 – Sept. 2006 -NL- Position: Developer, Designer -NL- Hardware: Symbian S60 2nd Edition Phones -NL- OS: Symbian OS -NL- Software: Symbian SDK, Visual Studio 2003 + Carbide -NL- Languages: C++ -NL- Project’s goal was to create a library of customized controls which could be used in Symbian projects. The -NL- controls from the library derived from standard Symbian controls and their great advantage was a possibility -NL- of customizing their graphics. Project included controls like: menu, info notes, dialogs, text editor, list. -NL- **`Organizer`[PROJECT_TITLE]** -NL- Time of realization: March 2006 – Aug. 2006 -NL- Position: Developer, Designer -NL- Hardware: Symbian 6.1, 7.0 and 8.0 phones, Windows Mobile Phones -NL- OS: Symbian OS, Windows Mobile 5.0 -NL- Software: Symbian SDK, Visual Studio 2003, Windows Mobile SDK 5.0, Visual Studio 2005 -NL- Languages: C++ -NL- The project's aim was to create a PIM (Personal Information Management) application for the devices using -NL- Symbian Series 60 OS. Application was able to remember the notes and notify the user about them when the -NL- date and time were right. User could see all the notes in a special list from which one was able to edit them -NL- and change their parameters (date, time, etc.). Application had special customized controls: dialogs, menus -NL- etc. which replaced the standard Symbian controls. -NL- 